module DomoscioRails
  class User
    include DomoscioRails::Resource
    include DomoscioRails::HTTPCalls::Create
    include DomoscioRails::HTTPCalls::Fetch
    include DomoscioRails::HTTPCalls::Destroy
    include DomoscioRails::HTTPCalls::Update
    include DomoscioRails::HTTPCalls::Util

    class UserParameter
      include DomoscioRails::Resource
      include DomoscioRails::HTTPCalls::Fetch
      include DomoscioRails::HTTPCalls::Update
    end

    class Role
      include DomoscioRails::Resource
      include DomoscioRails::HTTPCalls::Create
      include DomoscioRails::HTTPCalls::Fetch
      include DomoscioRails::HTTPCalls::Destroy
    end

    class StudentGroup
      include DomoscioRails::Resource
      include DomoscioRails::HTTPCalls::Create
      include DomoscioRails::HTTPCalls::Fetch
      include DomoscioRails::HTTPCalls::Destroy
    end
  end
end
